al_get_fs_entry_name(3)

NAME

al_get_fs_entry_name - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const char *al_get_fs_entry_name(ALLEGRO_FS_ENTRY *e)

DESCRIPTION

Returns the entry's filename path. Note that the filesystem encoding may not be known and the conversion to UTF-8 could in very rare cases cause this to return an invalid path. Therefore it's always safest to access the file over its ALLEGRO_FS_ENTRY(3) and not the path.

On success returns a read only string which you must not modify or destroy. Returns NULL on failure.

    Note: prior to 5.1.5 it was written: "... the path will not be an absolute path if the entry wasn't created from an absolute path". This is no longer true.